2

I hope this is not OT but it's certainly no StackOverflow question so I try here. I've got a problem with my cabal install on a Windows 7 (64bit) machine.

If I try do run a yesod devel it tells me to rerun the configure because I switched the cabal library (1.10.1.0 instead of 1.10.2.0) and no small wonder - if I run cabal --version I get:

cabal-install version 0.10.2
using version 1.10.1.0 of the Cabal library

but if I do the same in the cabal/bin folder I will get the right version ot the library. So there must be some strange path problems but I just cannot find it and I tried to cabal-install, etc. (even renaming the cabal.exe because of the cannot change running process problem).

I'm lost - can someone help me fix this?

1

You probably got your question answered by now.

For future readers. One solution is to add the cabal/bin folder to your path.

Another is to move the exe file to C:\Program Files\Haskell\bin. as recommend at http://www.haskell.org/haskellwiki/Cabal-Install#Windows.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.